//
//  ImageViewController.m
//  WebSiteScreenCapture
//
//  Created by Watanabe Toshinori on 2012/07/18.
//  Copyright (c) 2012 FLCL.jp All rights reserved.
//

#import "ImageViewController.h"
#import "WebSiteScreenCapture.h"

@interface ImageViewController ()

@end


@implementation ImageViewController

@synthesize indicator = _indicator;
@synthesize imageView = _imageView;
@synthesize urlString = _urlString;
@synthesize size = _size;


#pragma mark -

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    [self.indicator startAnimating];

    [WebSiteScreenCapture captureWithURL:self.urlString
                                    size:self.size
                                 handler:^(UIImage *image, NSError *error) {
                                     if (error) {
                                         UIAlertView *alertView = [[UIAlertView alloc] initWithTitle:@"Error"
                                                                                             message:error.localizedDescription
                                                                                            delegate:nil
                                                                                   cancelButtonTitle:@"OK"
                                                                                   otherButtonTitles:nil];
                                         [alertView show];
                                     } else {
                                         [self.indicator stopAnimating];
                                         self.imageView.image = image;
                                         self.imageView.hidden = NO;
                                     }
                                 }];
}

@end
