//
//  ViewController.m
//  WebSiteScreenCapture
//
//  Created by Watanabe Toshinori on 2012/07/18.
//  Copyright (c) 2012 FLCL.jp All rights reserved.
//

#import "ViewController.h"
#import "ImageViewController.h"

@interface ViewController ()

@end

@interface ViewController (UITableViewDataSource) <UITableViewDataSource>
@end


@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
}

- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    if ([segue.identifier isEqualToString:@"PushImageViewController"]) {
        ImageViewController *viewController = (ImageViewController *)segue.destinationViewController;

        NSIndexPath *indexPath = [self.tableView indexPathForSelectedRow];
        switch (indexPath.row) {
            case 0:
                viewController.urlString = @"http://www.yahoo.co.jp";
                viewController.size = [UIScreen mainScreen].bounds.size;
                break;
            case 1:
                viewController.urlString = @"http://www.yahoo.co.jp";
                viewController.size = CGSizeMake(320, 960);
                break;
            case 2:
                viewController.urlString = @"http://www.google.com";
                viewController.size = [UIScreen mainScreen].bounds.size;
                break;
            case 3:
                viewController.urlString = @"https://github.com";
                viewController.size = [UIScreen mainScreen].bounds.size;
                break;
        }
    }
}

@end


#pragma mark -
@implementation ViewController (UITableViewDataSource)

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return 4;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *cellIdentifier = @"Cell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:cellIdentifier];
    
    switch (indexPath.row) {
        case 0:
            cell.textLabel.text = @"Yahoo!";
            break;
        case 1:
            cell.textLabel.text = @"Yahoo! (320 x 960)";
            break;
        case 2:
            cell.textLabel.text = @"Google";
            break;
        case 3:
            cell.textLabel.text = @"Github";
            break;
    }
    
    return cell;
}

@end
